xmlpp::KeepBlanks Class Reference

This class sets KeepBlanksDefault and IndentTreeOutput of libxmlpp and restores their initial values in its destructor. More...

`#include <libxml++/keepblanks.h>`

## Public Member Functions

| KeepBlanks (bool value) noexcept
| ~KeepBlanks () noexcept

## Static Public Attributes

static const bool | Default = true

## Detailed Description

This class sets KeepBlanksDefault and IndentTreeOutput of libxmlpp and restores their initial values in its destructor.

As a consequence the wanted setting is kept during instance lifetime.

## Constructor & Destructor Documentation

## KeepBlanks()

xmlpp::KeepBlanks::KeepBlanks | ( | bool | value | ) |

noexcept

## ~KeepBlanks()

xmlpp::KeepBlanks::~KeepBlanks | ( |  | ) |

noexcept

## Member Data Documentation

## Default

const bool xmlpp::KeepBlanks::Default = true

static